Subject: [magma] IGMP v3 General Query

From: "Rajasekaran R" <[email-masked]>
Date: 24 May 2005 11:11:46 -0000

I have network with say Multicast router, IGMPv2 host, IGMPv3 host.
What happens when a Multicast router sends a IGMPv3 General Query messages ?
Does both IGMPv2 host and IGMPv3 host responds ?  
What is the format of Report message send by both the host ?

- R. Rajasekaran.
_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: Brian Haberman <[email-masked]>
Date: Tue, 24 May 2005 07:59:03 -0400

>  What is the format of Report message send by both the host ?

Section 7 of RFC 3376 describes the interoperability between different
versions of IGMP.  The router will transition to a backwards 
compatibility
mode per group record.  The IGMPv3 host may suppress its Report if it
hears the IGMPv2 Report format.

Regards,
Brian

---

From: "Raja K." <[email-masked]>
Date: Tue, 24 May 2005 18:35:51 +0530

Hello,

 >>>>>   IGMPv2 host responds to the query but IGMPv3 host may suppress the 
membership report after listening to the IGMPv2 membership report. Whatever 
be the case, the IGMPv3 router maintains compatibility mode for each group 
and timer to handle membership reports received from both IGMPv2 and IGMPv3 
hosts. Please refer, section 7.3.2 of RFC 3376.
IGMPv2 host will send the report message as per the rfc 2236, section 2 
and  IGMPv3 host will send the report message as per the 3376,section 4.2.

Regards
Raja kambhampati

>- R. Rajasekaran.
>
>
><http://clients.rediff.com/signature/track_sig.asp>
>[]
>